# Class DisputeResult

#### Hierarchy

- unknown
  - DisputeResult

- Defined in src/protobuf/pb_pb.d.ts:3209
- Defined in src/protobuf/pb_pb.d.ts:3272

#####
Index

### Constructors

constructor

### Methods

clearChatMessage
getArbitratorPubKey
getArbitratorPubKey_asB64
getArbitratorPubKey_asU8
getArbitratorSignature
getArbitratorSignature_asB64
getArbitratorSignature_asU8
getBuyerPayoutAmountBeforeCost
getChatMessage
getCloseDate
getIdVerification
getIsLoserPublisher
getReasonOrdinal
getScreenCast
getSellerPayoutAmountBeforeCost
getSubtractFeeFrom
getSummaryNotes
getTamperProofEvidence
getTradeId
getTraderId
getWinner
hasChatMessage
serializeBinary
setArbitratorPubKey
setArbitratorSignature
setBuyerPayoutAmountBeforeCost
setChatMessage
setCloseDate
setIdVerification
setIsLoserPublisher
setReasonOrdinal
setScreenCast
setSellerPayoutAmountBeforeCost
setSubtractFeeFrom
setSummaryNotes
setTamperProofEvidence
setTradeId
setTraderId
setWinner
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new DisputeResult(): DisputeResult

- #### Returns DisputeResult

  Inherited from jspb.Message.constructor

## Methods

### clearChatMessage

- clearChatMessage(): DisputeResult

- #### Returns DisputeResult

  - Defined in src/protobuf/pb_pb.d.ts:3237

### getArbitratorPubKey

- getArbitratorPubKey(): string | Uint8Array

- #### Returns string | Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:3253

### getArbitratorPubKey_asB64

- getArbitratorPubKey_asB64(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:3255

### getArbitratorPubKey_asU8

- getArbitratorPubKey_asU8(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:3254

### getArbitratorSignature

- getArbitratorSignature(): string | Uint8Array

- #### Returns string | Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:3239

### getArbitratorSignature_asB64

- getArbitratorSignature_asB64(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:3241

### getArbitratorSignature_asU8

- getArbitratorSignature_asU8(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:3240

### getBuyerPayoutAmountBeforeCost

- getBuyerPayoutAmountBeforeCost(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:3244

### getChatMessage

- getChatMessage(): undefined | ChatMessage

- #### Returns undefined | ChatMessage

  - Defined in src/protobuf/pb_pb.d.ts:3234

### getCloseDate

- getCloseDate(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:3258

### getIdVerification

- getIdVerification(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:3225

### getIsLoserPublisher

- getIsLoserPublisher(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:3261

### getReasonOrdinal

- getReasonOrdinal(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:3219

### getScreenCast

- getScreenCast(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:3228

### getSellerPayoutAmountBeforeCost

- getSellerPayoutAmountBeforeCost(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:3247

### getSubtractFeeFrom

- getSubtractFeeFrom(): SubtractFeeFrom

- #### Returns SubtractFeeFrom

  - Defined in src/protobuf/pb_pb.d.ts:3250

### getSummaryNotes

- getSummaryNotes(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:3231

### getTamperProofEvidence

- getTamperProofEvidence(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:3222

### getTradeId

- getTradeId(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:3210

### getTraderId

- getTraderId(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:3213

### getWinner

- getWinner(): Winner

- #### Returns Winner

  - Defined in src/protobuf/pb_pb.d.ts:3216

### hasChatMessage

- hasChatMessage(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:3236

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:3264

### setArbitratorPubKey

- setArbitratorPubKey(value: string | Uint8Array): DisputeResult

- #### Parameters

  - ##### value: string | Uint8Array

  #### Returns DisputeResult

  - Defined in src/protobuf/pb_pb.d.ts:3256

### setArbitratorSignature

- setArbitratorSignature(value: string | Uint8Array): DisputeResult

- #### Parameters

  - ##### value: string | Uint8Array

  #### Returns DisputeResult

  - Defined in src/protobuf/pb_pb.d.ts:3242

### setBuyerPayoutAmountBeforeCost

- setBuyerPayoutAmountBeforeCost(value: number): DisputeResult

- #### Parameters

  - ##### value: number

  #### Returns DisputeResult

  - Defined in src/protobuf/pb_pb.d.ts:3245

### setChatMessage

- setChatMessage(value?: ChatMessage): DisputeResult

- #### Parameters

  - ##### `Optional` value: ChatMessage

  #### Returns DisputeResult

  - Defined in src/protobuf/pb_pb.d.ts:3235

### setCloseDate

- setCloseDate(value: number): DisputeResult

- #### Parameters

  - ##### value: number

  #### Returns DisputeResult

  - Defined in src/protobuf/pb_pb.d.ts:3259

### setIdVerification

- setIdVerification(value: boolean): DisputeResult

- #### Parameters

  - ##### value: boolean

  #### Returns DisputeResult

  - Defined in src/protobuf/pb_pb.d.ts:3226

### setIsLoserPublisher

- setIsLoserPublisher(value: boolean): DisputeResult

- #### Parameters

  - ##### value: boolean

  #### Returns DisputeResult

  - Defined in src/protobuf/pb_pb.d.ts:3262

### setReasonOrdinal

- setReasonOrdinal(value: number): DisputeResult

- #### Parameters

  - ##### value: number

  #### Returns DisputeResult

  - Defined in src/protobuf/pb_pb.d.ts:3220

### setScreenCast

- setScreenCast(value: boolean): DisputeResult

- #### Parameters

  - ##### value: boolean

  #### Returns DisputeResult

  - Defined in src/protobuf/pb_pb.d.ts:3229

### setSellerPayoutAmountBeforeCost

- setSellerPayoutAmountBeforeCost(value: number): DisputeResult

- #### Parameters

  - ##### value: number

  #### Returns DisputeResult

  - Defined in src/protobuf/pb_pb.d.ts:3248

### setSubtractFeeFrom

- setSubtractFeeFrom(value: SubtractFeeFrom): DisputeResult

- #### Parameters

  - ##### value: SubtractFeeFrom

  #### Returns DisputeResult

  - Defined in src/protobuf/pb_pb.d.ts:3251

### setSummaryNotes

- setSummaryNotes(value: string): DisputeResult

- #### Parameters

  - ##### value: string

  #### Returns DisputeResult

  - Defined in src/protobuf/pb_pb.d.ts:3232

### setTamperProofEvidence

- setTamperProofEvidence(value: boolean): DisputeResult

- #### Parameters

  - ##### value: boolean

  #### Returns DisputeResult

  - Defined in src/protobuf/pb_pb.d.ts:3223

### setTradeId

- setTradeId(value: string): DisputeResult

- #### Parameters

  - ##### value: string

  #### Returns DisputeResult

  - Defined in src/protobuf/pb_pb.d.ts:3211

### setTraderId

- setTraderId(value: number): DisputeResult

- #### Parameters

  - ##### value: number

  #### Returns DisputeResult

  - Defined in src/protobuf/pb_pb.d.ts:3214

### setWinner

- setWinner(value: Winner): DisputeResult

- #### Parameters

  - ##### value: Winner

  #### Returns DisputeResult

  - Defined in src/protobuf/pb_pb.d.ts:3217

### toObject

- toObject(includeInstance?: boolean): DisputeResult.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns DisputeResult.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:3265

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): DisputeResult

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns DisputeResult

  - Defined in src/protobuf/pb_pb.d.ts:3268

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: DisputeResult, reader: BinaryReader): DisputeResult

- #### Parameters

  - ##### message: DisputeResult

  - ##### reader: BinaryReader

  #### Returns DisputeResult

  - Defined in src/protobuf/pb_pb.d.ts:3269

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: DisputeResult, writer: BinaryWriter): void

- #### Parameters

  - ##### message: DisputeResult

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:3267

### `Static` toObject

- toObject(includeInstance: boolean, msg: DisputeResult): DisputeResult.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: DisputeResult

  #### Returns DisputeResult.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:3266

Generated using TypeDoc